Bug 180265 - Window opens, music plays, but no play grid
Window opens, music plays, but no play grid
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gweled (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-06 15:47 EST by Paul Dickson
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 08:59:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Dickson 2006-02-06 15:47:50 EST
Description of problem:
The jewel grid does not display.  Only the menu options and the score appear at
the top.  The scale on the bottom also appears.

Seems that something might be wrong with the GTK linkage.

Version-Release number of selected component (if applicable):
gweled-0.7-3.fc5

How reproducible:
Always

Steps to Reproduce:
1. gweled (at gnome-terminal)
2.
3.
  
Actual results:
$ gweled

(gweled:24830): libglade-WARNING **: could not find signal handler
'drawing_area_button_event_cb'.

(gweled:24830): libglade-WARNING **: could not find signal handler
'on_scores1_activate'.

(gweled:24830): libglade-WARNING **: could not find signal handler
'on_app1_delete_event'.

(gweled:24830): libglade-WARNING **: could not find signal handler
'on_preferences1_activate'.

(gweled:24830): libglade-WARNING **: could not find signal handler
'on_quit1_activate'.

(gweled:24830): libglade-WARNING **: could not find signal handler
'on_smallRadiobutton_toggled'.

(gweled:24830): libglade-WARNING **: could not find signal handler
'on_highscoresDialog_delete_event'.

(gweled:24830): libglade-WARNING **: could not find signal handler
'on_about1_activate'.

(gweled:24830): libglade-WARNING **: could not find signal handler
'drawing_area_motion_event_cb'.

(gweled:24830): libglade-WARNING **: could not find signal handler
'on_preferencesDialog_delete_event'.

(gweled:24830): libglade-WARNING **: could not find signal handler
'on_closebutton1_clicked'.

(gweled:24830): libglade-WARNING **: could not find signal handler
'on_new1_activate'.

(gweled:24830): libglade-WARNING **: could not find signal handler
'drawing_area_expose_event_cb'.

(gweled:24830): libglade-WARNING **: could not find signal handler
'on_mediumRadiobutton_toggled'.

(gweled:24830): libglade-WARNING **: could not find signal handler
'on_easyRadiobutton_toggled'.

(gweled:24830): libglade-WARNING **: could not find signal handler
'on_hardRadiobutton_toggled'.

(gweled:24830): libglade-WARNING **: could not find signal handler
'on_closebutton2_clicked'.

(gweled:24830): libglade-WARNING **: could not find signal handler
'on_largeRadiobutton_toggled'.


Expected results:
Game runs.

Additional info:
Must ctrl-c to exit program and stop music.  A "killall gweled" is needed if
started from Gnome menu.
Comment 1 Thorsten Leemhuis 2006-02-11 09:43:59 EST
(In reply to comment #0)
> Seems that something might be wrong with the GTK linkage.

Might be -- I'll look into it after the mass rebuild in core is done
Comment 2 Kevin Kofler 2006-03-25 19:35:08 EST
You need to add "-Wl,--export-dynamic" to the LDFLAGS. 
Comment 3 Thorsten Leemhuis 2006-03-26 02:54:23 EST
(In reply to comment #2)
> You need to add "-Wl,--export-dynamic" to the LDFLAGS. 

thx for the hint; fix commited to cvs, build requested
Comment 4 John Mahowald 2006-07-09 11:23:00 EDT
Problem still there on x86_64, with gweled-0.7-5.fc5. Though I got a report of
it working fine on i386.
Comment 5 Thorsten Leemhuis 2006-07-11 02:01:33 EDT
(In reply to comment #4)
> Problem still there on x86_64

works fine here on my x86_64. I have another x86_64 box, will try there tomorrow.

BTW (just to be sure): We are talking about FC5 (and not devel) here? (Version
in bugzilla is marked as devel, but current devel version would be gweled-0.7-5.fc6)
Comment 6 John Mahowald 2006-08-14 08:59:14 EDT
Works now, though I'm not quite sure what changed. Closing.

Note You need to log in before you can comment on or make changes to this bug.